import { baseServer } from '@/api'
import request from '@/utils/require'

//按年份获取数据列表
export function queryCcsbtzjsmx(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmx`,
        method: 'post',
        data:data
    })
}
//确认上报数据
export function saveCcsbtzjsmx(data,params) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/saveCcsbtzjsmx?orgCode=${params.orgCode}&sbnf=${params.sbnf}`,
        method: 'post',
        data:data
    })
}
//区/购销公司--汇总表查看
export function queryCcsbtzjsmxForHz(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForHz`,
        method: 'post',
        data:data
    })
}
//区/购销公司--设备明细
export function queryCcsbtzjsmxForMx(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForMx`,
        method: 'post',
        data:data
    })
}
//市--设备明细
export function queryCcsbtzjsmxForMxGld(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForMxGld`,
        method: 'post',
        data:data
    })
}
//设备类别
export function querySbqclb(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/querySbqclb`,
        method: 'post',
        params:data
    })
}
//仓储设备汇总表导出--管理端--企业端购销公司
export function queryCcsbtzjsmxForHzExport(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForHzExport`,
        method: 'post',
        responseType: 'blob',
		data:data
    });
}
//仓储设备明细表导出--市级
export function queryCcsbtzjsmxForMxGldExport(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForMxGldExport`,
        method: 'post',
        responseType: 'blob',
		data:data
    });
}
//企业端区粮办-购销公司和管理端区粮办-购销公司明细表导出
export function queryCcsbtzjsmxForMxExport(data) {
    return request({
        url: `${baseServer}/ccsbtzjsmx/queryCcsbtzjsmxForMxExport`,
        method: 'post',
        responseType: 'blob',
		data:data
    });
}